using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BRServer.IDAL;

namespace BRServer.BLL
{
    public class BRCJ
    {
        private static BRCJ br;

        private BRCJ()
        {
        }

        public static BRCJ getInstance()
        {
            if (br == null)
            {
                br = new BRCJ();
            }
            return br;
        }

        /// <summary>
        /// A method to insert a new Adapter
        /// </summary>
        /// <param name="djs">An adapter entity with information about the new adapter</param>
        public void insert(Model.BRCJ cj)
        {
            if (cj == null || (cj.SEDIMENTATION == 0.0 && cj.TEMPERATURE == 0.0))
            {
                return;
            }

            IBRCJ dal = DALFactory.BRCJ.Create();
            dal.insert(cj);
        }
    }
}
